TaglibDescriptorImpl (Apache Tomcat 11.0.24 API Documentation)
Description: declaration: package: org.apache.tomcat.util.descriptor.web, class: TaglibDescriptorImpl

# Class TaglibDescriptorImpl

java.lang.Object
org.apache.tomcat.util.descriptor.web.TaglibDescriptorImpl

All Implemented Interfaces:
  `TaglibDescriptor`

public class TaglibDescriptorImpl extends Object implements TaglibDescriptor
Implementation of TaglibDescriptor that holds the location and URI of a tag library.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TaglibDescriptorImpl(String location, String uri)`
  Constructs a new TaglibDescriptorImpl.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object obj)`
  `String`
  `getTaglibLocation()`
  Obtain the location of the tag library.
  `String`
  `getTaglibURI()`
  Obtain the URI for the tag library.
  `int`
  `hashCode()`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TaglibDescriptorImpl

    public TaglibDescriptorImpl(String location, String uri)
    Constructs a new TaglibDescriptorImpl.
    Parameters:
      `location` - the location of the tag library descriptor
      `uri` - the URI identifying the tag library

- ## Method Details

  - ### getTaglibLocation

    public String getTaglibLocation()
    Description copied from interface: `jakarta.servlet.descriptor.TaglibDescriptor`
    Obtain the location of the tag library.
    Specified by:
      `getTaglibLocation` in interface `TaglibDescriptor`
    Returns:
      the location of the tag library

  - ### getTaglibURI

    public String getTaglibURI()
    Description copied from interface: `jakarta.servlet.descriptor.TaglibDescriptor`
    Obtain the URI for the tag library.
    Specified by:
      `getTaglibURI` in interface `TaglibDescriptor`
    Returns:
      the URI for the tag library

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### equals

    public boolean equals(Object obj)
    Overrides:
      `equals` in class `Object`